package com.sifang.modules.supply.setting.entity;


import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name="crm_supply_supplier")
public class CrmSupplySupplier implements Serializable {

    private String id;
    private String userId;
    private String name; 	// 名称
    private String contacts;
    private String province;
    private String city;
    private String area;
    private String address;
    private String mobile;
    private String actualContacts;
    private String telephone;
    private String actualIdCode;
    private String bankName;
    private String bankCode;
    private String taxNumber;
    private String certificationImg;
    private String licenseImg;
    private String idFrontImg;
    private String idOppositeImg;
    private String status;
    private String remarks;
    private String createBy;
    private Date createTime;
    private String creator;

    private String departmentId;
    private String departmentName;

    private String materialTypeId;

    private String kingDeeId;//金蝶系统内码

    private String kingDeeNumber;

    private String materialBrandId;


    public String getMaterialBrandId() {
        return materialBrandId;
    }

    public void setMaterialBrandId(String materialBrandId) {
        this.materialBrandId = materialBrandId;
    }

    public String getKingDeeNumber() {
        return kingDeeNumber;
    }

    public void setKingDeeNumber(String kingDeeNumber) {
        this.kingDeeNumber = kingDeeNumber;
    }

    public String getMaterialTypeId() {
        return materialTypeId;
    }

    public void setMaterialTypeId(String materialTypeId) {
        this.materialTypeId = materialTypeId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }


    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }



    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }



    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getActualContacts() {
        return actualContacts;
    }

    public void setActualContacts(String actualContacts) {
        this.actualContacts = actualContacts;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getActualIdCode() {
        return actualIdCode;
    }

    public void setActualIdCode(String actualIdCode) {
        this.actualIdCode = actualIdCode;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getTaxNumber() {
        return taxNumber;
    }

    public void setTaxNumber(String taxNumber) {
        this.taxNumber = taxNumber;
    }

    public String getCertificationImg() {
        return certificationImg;
    }

    public void setCertificationImg(String certificationImg) {
        this.certificationImg = certificationImg;
    }

    public String getLicenseImg() {
        return licenseImg;
    }

    public void setLicenseImg(String licenseImg) {
        this.licenseImg = licenseImg;
    }

    public String getIdFrontImg() {
        return idFrontImg;
    }

    public void setIdFrontImg(String idFrontImg) {
        this.idFrontImg = idFrontImg;
    }

    public String getIdOppositeImg() {
        return idOppositeImg;
    }

    public void setIdOppositeImg(String idOppositeImg) {
        this.idOppositeImg = idOppositeImg;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getKingDeeId() {
        return kingDeeId;
    }

    public void setKingDeeId(String kingDeeId) {
        this.kingDeeId = kingDeeId;
    }
}
